| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Enumerations | Variables
sashwin.h File Reference

## Classes

class | wxSashWindow
| wxSashWindow allows any of its edges to have a sash which can be dragged to resize the window. More...
class | wxSashEvent
| A sash event is sent when the sash of a wxSashWindow has been dragged by the user. More...

## Macros

#define | wxSW_NOBORDER 0x0000
| wxSashWindow flags More...
#define | wxSW_BORDER 0x0020
#define | wxSW_3DSASH 0x0040
#define | wxSW_3DBORDER 0x0080
#define | wxSW_3D (wxSW_3DSASH | wxSW_3DBORDER)

## Enumerations

enum | wxSashEdgePosition { wxSASH_TOP = 0, wxSASH_RIGHT, wxSASH_BOTTOM, wxSASH_LEFT, wxSASH_NONE = 100 }
| See wxSashWindow. More...
enum | wxSashDragStatus { wxSASH_STATUS_OK, wxSASH_STATUS_OUT_OF_RANGE }
| See wxSashEvent. More...

## Variables

wxEventType | wxEVT_SASH_DRAGGED

## Macro Definition Documentation

#define wxSW_3D (wxSW_3DSASH | wxSW_3DBORDER)

#define wxSW_3DBORDER 0x0080

#define wxSW_3DSASH 0x0040

#define wxSW_BORDER 0x0020

#define wxSW_NOBORDER 0x0000

wxSashWindow flags

## Enumeration Type Documentation

enum wxSashDragStatus

See wxSashEvent.

Enumerator
wxSASH_STATUS_OK |
wxSASH_STATUS_OUT_OF_RANGE |

enum wxSashEdgePosition

See wxSashWindow.

Enumerator
wxSASH_TOP |
wxSASH_RIGHT |
wxSASH_BOTTOM |
wxSASH_LEFT |
wxSASH_NONE |

## Variable Documentation

wxEventType wxEVT_SASH_DRAGGED